
Packaging - Bug #24928

plugins require rebuild when foreman changes its webpack vendor bundle

09/13/2018 10:20 AM - Tomáš Strachota

Status: Closed   

Priority: High   

Assignee: Evgeni Golov   

Category: RPMs   

Target version:    

Difficulty:  Fixed in Releases: 1.20.0

Triaged: No Found in Releases: 1.18.0, 1.18.1, 1.18.2, 1.19.0, 1.19.1,

1.20.0

Bugzilla link: 1630934 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-p

ackaging/pull/3012,

https://github.com/theforeman/foreman-p

ackaging/pull/3096,

https://github.com/theforeman/foreman-p

ackaging/pull/3100

  

Description

When I go to Content -> Subscriptions and want to open a subscription, content container is blank and the container reactRoot only

shows an empty div.

This happens only in production installations. So far I haven't been able to reproduce it in development.

Expected outcome:

Subscription details should be shown.

Foreman and plugin versions:

Foreman 1.19.0 (occurs from 1.18.0 on)

Katello 3.8.0

Associated revisions

Revision 649ef700 - 10/15/2018 03:54 PM - Evgeni Golov

Fixes #24928 - generators for requires/provides of webpack bundles

This adds automatic Provides and Requires for Foreman's webpack bundles.

Foreman ships webpack bundles in its RPMs to be consumed by plugins. To ensure

proper dependency relationships between the plugins and the main Foreman RPM,

this script generates Provides for the Foreman RPM that contain the hash of

the webpack bundles shipped and matching Requires for the plugins packages.

Each time the Foreman bundles change hashes, the plugins become uninstallable

and indicate that a rebuild is required.

Revision 5130bb2a - 10/15/2018 03:54 PM - Evgeni Golov

Refs #24928 - look directly for vendor chunks, don't loop

Revision 05914d9f - 10/16/2018 12:41 PM - Evgeni Golov

Refs #24928 - ignore JS maps in webpack requires/provides

History

#1 - 09/19/2018 02:28 PM - Evgeni Golov

- Project changed from Katello to Packaging

- Subject changed from Subscription detail is blank to plugins require rebuild when foreman changes its webpack vendor bundle

- Category changed from Subscriptions to RPMs

- Status changed from New to Assigned
- Assignee changed from Tomáš Strachota to Evgeni Golov

- Priority changed from Normal to High

- Team Backlog deleted (UX)

- Found in Releases 1.18.0, 1.18.1, 1.18.2, 1.19.0, 1.19.1, 1.20.0 added

- Found in Releases deleted (Katello 3.8.0)

#2 - 09/19/2018 02:42 PM - Evgeni Golov

- Bugzilla link set to 1630934

#3 - 09/19/2018 02:48 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman-packaging/pull/3012 added

#4 - 10/15/2018 04:01 PM - Evgeni Golov

- Status changed from Ready For Testing to Closed

Applied in changeset foreman-packaging|649ef70077076b6fd758c230a14a6d666b57411b.

#5 - 10/16/2018 08:56 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/3096 added

#6 - 10/16/2018 12:26 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/3100 added

#7 - 10/17/2018 08:55 AM - Tomer Brisker

- Fixed in Releases 1.20.0 added
